/Category/VariableGroup (PUT)
PUT
/Category/VariableGroup
const url = 'https://api.chatfood.app/Category/VariableGroup';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "isDefault": true, "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "variables": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "groupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 } ] }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.chatfood.app/Category/VariableGroup \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "isDefault": true, "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "variables": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "groupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 } ] }'Authorizations
Seção intitulada “Authorizations”Request Body
Seção intitulada “Request Body”object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
categoryId
string format: uuid
accountId
string format: uuid
name
string
isDefault
boolean
createdBy
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
groupId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
categoryId
string format: uuid
accountId
string format: uuid
name
string
isDefault
boolean
createdBy
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
groupId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
categoryId
string format: uuid
accountId
string format: uuid
name
string
isDefault
boolean
createdBy
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
groupId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
categoryId
string format: uuid
accountId
string format: uuid
name
string
isDefault
boolean
createdBy
string format: uuid
variables
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
groupId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
Responses
Seção intitulada “Responses”OK